*,
::before,
*::after {
  box-sizing: border-box;
  font-family: "Open Sans", sans-serif;
}

.container {
  width: 1170px;
}

.header-navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #313131;
}

.navbar-logo {
  display: flex;
  width: 160px;
  justify-content: space-evenly;
  margin-left: 29px;
  margin-right: 29px;
}

.logo-link {
  font-weight: bold;
  font-size: 22px;
  line-height: 30px;
  text-decoration: none;
  color: #ffffff;
  margin-left: 30px;
  margin-right: 30px;
}

.logo-img {
  margin-left: 30px;
  width: 27px;
  height: 27px;
}

.nav-list {
  width: 750px;
  display: flex;
  justify-content: space-evenly;
  padding: 0;
}

.nav-list-item {
  list-style-type: none;
  margin-right: 35px;
}
.nav-list-item:last-of-type {
  margin-right: 0px;
}

.item-links {
  text-decoration: none;
  color: #ffffff;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 20px;
  text-transform: uppercase;
  width: 279px;
  transition: color 0.4s ease;
}

.item-links:hover {
  color: #14b9d5;
}

.search-link {
  width: 70px;
  height: 70px;
  background-color: #000;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 160px;
}

.search-logo {
  width: 17px;
  height: 17px;
}

.header-bg {
  display: flex;
  justify-content: center;
  width: 100%;
  object-fit: none;
  background-image: url(../img/header-bg.png);
  background-position: bottom 5px right 50%;
  background-attachment: fixed;
  background-size: cover;
}

.header-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
}

.header-title {
  font-weight: bold;
  font-size: 27px;
  line-height: 37px;
  color: #ffffff;
  width: 100%;
  margin-top: 164px;
  margin-bottom: 44px;
  text-align: center;
}

.header-btns {
  display: flex;
  width: 335px;
  justify-content: space-between;
}

.btn {
  padding: 17px 19px;
  color: #ffffff;
  border-radius: 5px;
  text-align: center;
  font-weight: 600;
  font-size: 18px;
  line-height: 25px;
  text-decoration: none;
  margin-bottom: 74px;
}

.btn:first-of-type {
  background-color: #89ca62;
}

.btn:last-of-type {
  background-color: #14b9d5;
}

.page-section-1 {
  display: flex;
  justify-content: center;
  height: 1030px;
}

.toggle {
  display: flex;
  justify-content: center;
}

.universal-title {
  width: 100%;
  text-align: center;
  margin-top: 50px;
  margin-bottom: 52px;

  font-weight: bold;
  font-size: 27px;
  line-height: 37px;
  text-transform: uppercase;
  color: #18b4cf;
}

.universal-title:first-of-type {
  display: block;
  text-decoration: none;
}

.main-posts-list {
  display: flex;
  height: 890px;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: flex-start;
  flex-grow: 1;
  gap: 30px;
  list-style-type: none;
  padding: 0;
}

.item-img {
  width: 370px;
}

.item-link {
  display: inline-block;
  text-align: center;
  text-decoration: none;
  font-weight: bold;
  font-size: 18px;
  line-height: 25px;
  color: #353a3d;
  background-color: #ffffff;
}

.post-name-box {
  display: inline-block;
  padding: 15px 0px 22px 00px;
}

.section-bg {
  background-image: url(../img/paralax.png);
  height: 588px;
  object-fit: none;
  background-size: cover;
  background-attachment: fixed;
  display: grid;
  justify-content: center;
}

.clients-info {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-template-rows: 1fr 1fr 180px 1fr 1fr 10px;
  justify-items: center;
  align-items: center;
  grid-template-areas:
    ". . . . . ."
    "title title title title title title"
    "i-line i-line i-line i-line i-line i-line"
    ". c1 c2 c3 c4 ."
    ". . . . . ."
    ". . . . . .";
}

.clients-info-title {
  display: inline-block;
  font-weight: bold;
  font-size: 32px;
  line-height: 44px;
  text-transform: uppercase;
  color: #ffffff;
  grid-area: title;
}
.clients-info-line {
  background: #18b4cf;
  width: 60px;
  height: 3px;
  border: none;
  grid-area: i-line;
}
.clients {
  padding-right: 58px;
}

.clients:last-of-type {
  padding-right: 0px;
}

.clients-1 {
  grid-area: c1;
}

.clients-2 {
  grid-area: c2;
}

.clients-3 {
  grid-area: c3;
}

.clients-4 {
  grid-area: c4;
}

.section-wrapper-1 {
  display: grid;
  justify-content: center;
  text-align: center;
}

.section-wrapper-2 {
  display: grid;
  justify-content: center;
  text-align: center;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: repeat(1, 1fr);
}

.top-img {
  width: 100%;
}

.container-grid {
  display: grid;
  grid-template-columns: repeat (2, 100px);
  grid-template-rows: repeat (8, 1fr);
}

.container-grid-news-1 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: repeat (8, 1fr);
  row-gap: 42px;
  column-gap: 37px;
}

.container-grid-news-2 {
  margin-top: 42px;
  margin-bottom: 42px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: repeat (8, 1fr);
  row-gap: 42px;
  column-gap: 60px;
}

.standard-img {
  width: 483px;
}

.small-img {
  width: 277px;
}

.big-img {
  width: 554px;
}

.hn-post,
.hn-post-big,
.hn-post-small {
  text-decoration: none;
  color: #353a3d;
  background-color: #f9f7f7;
}

.post-title,
.post-title-standard,
.post-title-small {
  display: block;
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  line-height: 25px;
}

.post-paragrapgh,
.post-paragrapgh-standard,
.post-paragrapgh-bg {
  font-weight: 600;
  font-size: 14px;
  line-height: 21px;
  margin: 0;
}
.post-paragrapgh-bg {
  position: relative;
  top: 10px;
  width: 527px;
  right: 20px;
}

.hn-post-big {
  position: relative;
  text-align: right;
  display: grid;
  width: 554px;
  grid-template-columns: 554px;
  grid-template-rows: 259px 55px 104px;
  justify-items: right;
}

.hn-post {
  display: grid;
  width: 856px;
  grid-template-columns: 483px 350px 24px;
  grid-template-rows: repeat(1, 259px);
  text-align: right;

  grid-template-areas:
    "st-img  p-st"
    "st-img  p-st"
    "st-img  p-st"
    "st-img  p-st"
    "st-img  p-st"
    "st-img  p-st";
}

.standard-img {
  grid-area: st-img;
}

.post-paragrapgh-standard {
  display: grid;
  grid-area: p-st;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 3fr;
}

.post-paragrapgh-big {
  display: grid;

  grid-template-columns: 1fr;
  grid-template-rows: 30px 130px;
  justify-items: right;
}

.post-title-standard {
  position: relative;
  top: 28px;
}

.hn-post-small {
  display: inline-grid;
  width: 277px;
  grid-template-columns: 277px;
  grid-template-rows: 210px 48px;
  align-items: center;
}

.post-title {
  position: relative;
  top: -10px;
  left: -30px;
}

.page-footer {
  display: grid;
  background-color: #000;
  margin-top: 77px;
  grid-template-columns: 2fr 1fr;
  justify-items: center;
  align-items: center;
}

.footer-rights {
  font-weight: normal;
  font-size: 13px;
  line-height: 13px;
  color: #ffffff;
  padding-top: 30px;
  padding-bottom: 30px;
}

.company-footer {
  display: grid;
  grid-template-columns: 38px 64px;
  column-gap: 3px;
}

.fixed-button {
  width: 70px;
  height: 40px;
  background-color: #14b9d5;
  position: fixed;
  top: 80%;
  left: 90%;
  border-radius: 5px;
  text-align: center;
  font-size: 30px;
  text-decoration: none;
  color: #000;
}

#hide {
  text-align: center;
  width: 500px;
  background-color: #ffffff;
  border: solid 2px #14b9d5;
}
